DRM_FRAMEBUFFER_LOOK(9)

NAME
drm_framebuffer_lookup - look up a drm framebuffer and grab a reference

SYNOPSIS

struct drm_framebuffer * drm_framebuffer_lookup(struct drm_device * dev, uint32_t id);

ARGUMENTS

dev
    drm device

id
    id of the fb object

DESCRIPTION

If successful, this grabs an additional reference to the framebuffer - callers need to make sure to eventually unreference the returned framebuffer again, using drm_framebuffer_unreference.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT